curl --request GET \
--url https://core-api.adipredictstreet.com/api/eventsimport requests
url = "https://core-api.adipredictstreet.com/api/events"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://core-api.adipredictstreet.com/api/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"events": [
"<unknown>"
]
}List events
Filtered list of events with their tradable markets attached. Events with no public-status market are filtered out. All filters are optional and AND together.
Query Parameters
group, r32, r16, quarter_finals, semi_finals, third_place, final Group letter, e.g. "A"
^[A-Z0-9]{1,8}$FIFA 3-letter country code; matches teamA OR teamB.
^[A-Z]{3}$Single tag slug, exact match (e.g. "premier-league").
ISO-8601 lower bound on eventStartTime.
ISO-8601 upper bound on eventStartTime.
trending = 24h volume DESC; ending_soon = non-past closesAt ASC (hides already-closed); starting_soon = future kickoff ASC (hides already-started); live = kickoff passed AND a market is still OPEN, most-recently-started DESC. starting_soon / live use per-market kickoff as the authoritative time; the event-level eventStartTime is only a fallback when kickoff is NULL. Default (no sort): earliest public-market kickoff ASC, then title ASC, then event id ASC.
trending, ending_soon, starting_soon, live Response
OK